Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Testing and Deployment

Application installation errors

by BlackBerry Development Advisor ‎02-16-2010 11:10 AM - edited ‎02-19-2010 08:37 AM (1,664 Views)

Summary


This article applies to the following:

  • BlackBerry® Java Development Environment (JDE)
  • BlackBerry devices based on Java™


Problem

You receive the following error(s) when installing an application using the specified methods:

  • Unspecified error encountered [J:0x0000000A]
  • when using Application Loader.

  • There was an error installing the MIDlet
  • when installing wirelessly.

  • Error: file is not a valid Java code file
  • when using Java Loader.

Cause


The application was built in a version of the BlackBerry JDE that is not supported on the target BlackBerry device.


The version of BlackBerry Device Software installed on a BlackBerry device can be found under Options > About or Options > Status (depending on the BlackBerry Device Software version).


Resolution


Select an appropriate version of the BlackBerry JDE to build the application. For more information on how to select an appropriate version of the BlackBerry JDE please see this article.

Contributors
Users Online
Currently online: 20 members 2,908 guests
Please welcome our newest community members: